Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.forms.flow.javascript
Class ScriptableWidget

    java.lang.Object
      org.mozilla.javascript.ScriptableObject
          org.apache.cocoon.forms.flow.javascript.ScriptableWidget

All Implemented Interfaces:
  org.mozilla.javascript.ConstProperties, org.mozilla.javascript.debug.DebuggableObject, org.mozilla.javascript.Scriptable, Serializable

public class ScriptableWidget
extends org.mozilla.javascript.ScriptableObject

Version:
  $Id: ScriptableWidget.java 587759 2007-10-24 03:00:37Z vgritsenko $
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.mozilla.javascript.ScriptableObject
`CONST, DONTENUM, EMPTY, PERMANENT, READONLY, UNINITIALIZED_CONST`

Fields inherited from interface org.mozilla.javascript.Scriptable
`NOT_FOUND`

Constructor Summary
`ScriptableWidget()`
`ScriptableWidget(Object widget)`

Method Summary
`void` | `delete(int index)`
`Object` | `get(int index, org.mozilla.javascript.Scriptable start)`
`Object` | `get(String id, org.mozilla.javascript.Scriptable start)`
`String` | `getClassName()`
`boolean` | `has(int index, org.mozilla.javascript.Scriptable start)`
`boolean` | `has(String id, org.mozilla.javascript.Scriptable start)`
`boolean` | `jsFunction_equals(Object other)`
`void` | `jsFunction_remove(int index)`
`String` | `jsGet_id()`
`Object` | `jsGet_parent()`
`WidgetState` | `jsGet_state()`
`void` | `jsSet_state(Object stateObj)`
`void` | `put(String id, org.mozilla.javascript.Scriptable start, Object value)`

Methods inherited from class org.mozilla.javascript.ScriptableObject
`associateValue, callMethod, callMethod, defineClass, defineClass, defineClass, defineConst, defineConstProperty, defineFunctionProperties, defineProperty, defineProperty, defineProperty, defineProperty, delete, deleteProperty, deleteProperty, equivalentValues, getAllIds, getAssociatedValue, getAttributes, getAttributes, getAttributes, getAttributes, getClassPrototype, getDefaultValue, getDefaultValue, getFunctionPrototype, getGetterOrSetter, getIds, getObjectPrototype, getParentScope, getProperty, getProperty, getPropertyIds, getPrototype, getTopLevelScope, getTopScopeValue, hasInstance, hasProperty, hasProperty, isConst, isSealed, put, putConst, putConstProperty, putProperty, putProperty, redefineProperty, sealObject, setAttributes, setAttributes, setAttributes, setAttributes, setGetterOrSetter, setParentScope, setPrototype`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ScriptableWidget

    public ScriptableWidget()

### ScriptableWidget

    public ScriptableWidget(Object widget)

Method Detail

### getClassName

    public String getClassName()

### has

    public boolean has(String id,
                       org.mozilla.javascript.Scriptable start)

### has

    public boolean has(int index,
                       org.mozilla.javascript.Scriptable start)

### get

    public Object get(String id,
                      org.mozilla.javascript.Scriptable start)

### get

    public Object get(int index,
                      org.mozilla.javascript.Scriptable start)

### delete

    public void delete(int index)

### put

    public void put(String id,
                    org.mozilla.javascript.Scriptable start,
                    Object value)

### jsGet_id

    public String jsGet_id()

### jsGet_state

    public WidgetState jsGet_state()

### jsSet_state

    public void jsSet_state(Object stateObj)

### jsGet_parent

    public Object jsGet_parent()

### jsFunction_equals

    public boolean jsFunction_equals(Object other)

### jsFunction_remove

    public void jsFunction_remove(int index)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2008 The Apache Software Foundation. All Rights Reserved.